Package io.vertx.ext.web

## Class Http2PushMapping

- java.lang.Object
- - io.vertx.ext.web.Http2PushMapping

-     public class Http2PushMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Http2PushMapping()` | Default constructor
    `Http2PushMapping​(JsonObject json)` | Constructor from JSON
    `Http2PushMapping​(Http2PushMapping other)` | Copy constructor
    `Http2PushMapping​(String filePath, String extensionTarget, boolean noPush)` | Constructor with params for Link preload

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExtensionTarget()` |
    `String` | `getFilePath()` |
    `boolean` | `isNoPush()` |
    `void` | `setExtensionTarget​(String extensionTarget)` |
    `void` | `setFilePath​(String filePath)` |
    `void` | `setNoPush​(boolean noPush)` |
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Http2PushMapping

          public Http2PushMapping​(Http2PushMapping other)

      Copy constructor
      Parameters:
        `other` - the http2PushMapping to copy

    - #### Http2PushMapping

          public Http2PushMapping()

      Default constructor

    - #### Http2PushMapping

          public Http2PushMapping​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

    - #### Http2PushMapping

          public Http2PushMapping​(String filePath,
                                  String extensionTarget,
                                  boolean noPush)

      Constructor with params for Link preload
      Parameters:
        `filePath` - the path of file to preload
        `extensionTarget` - the link header extension
        `noPush` - describes if the file should be pushed

  - ### Method Detail

    - #### getFilePath

          public String getFilePath()

    - #### setFilePath

          public void setFilePath​(String filePath)

    - #### getExtensionTarget

          public String getExtensionTarget()

    - #### setExtensionTarget

          public void setExtensionTarget​(String extensionTarget)

    - #### isNoPush

          public boolean isNoPush()

    - #### setNoPush

          public void setNoPush​(boolean noPush)

    - #### toJson

          public JsonObject toJson()